com.fasterxml.jackson.databind.cfg

## Interface CacheProvider

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultCacheProvider

    public interface CacheProvider
    extends Serializable

Interface that defines API Jackson uses for constructing various internal caches. This allows configuring custom caches and cache configurations. A `CacheProvider` instance will be configured through a builder such as `MapperBuilder.cacheProvider(CacheProvider)`

Since:
  2.16

### Method Summary

All Methods Instance Methods Abstract Methods
`LookupCache<JavaType,JsonDeserializer<Object>>` `forDeserializerCache(DeserializationConfig config)` Method for constructing a `LookupCache` instance to be used by `DeserializerCache`.
`LookupCache<TypeKey,JsonSerializer<Object>>` `forSerializerCache(SerializationConfig config)` Method for constructing a `LookupCache` instance to be used by `SerializerCache`.
`LookupCache<Object,JavaType>` `forTypeFactory()` Method for constructing a `LookupCache` instance to be used by `TypeFactory`.

### Method Detail

#### forDeserializerCache

    LookupCache<JavaType,JsonDeserializer<Object>> forDeserializerCache(DeserializationConfig config)

Method for constructing a `LookupCache` instance to be used by `DeserializerCache`.

Returns:
  `LookupCache` instance for use by `DeserializerCache`.

#### forSerializerCache

    LookupCache<TypeKey,JsonSerializer<Object>> forSerializerCache(SerializationConfig config)

Method for constructing a `LookupCache` instance to be used by `SerializerCache`.

Returns:
  `LookupCache` instance for constructing `SerializerCache`.

#### forTypeFactory

    LookupCache<Object,JavaType> forTypeFactory()

Method for constructing a `LookupCache` instance to be used by `TypeFactory`.

Returns:
  `LookupCache` instance for constructing `TypeFactory`.